> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onlyfansapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Transactions (/api-reference/transactions/list-transactions)

Get a paginated list of transactions for an Account. Newest transactions are first. You can filter by transaction type and tips source.

## OpenAPI

````yaml https://app.onlyfansapi.com/scribe-docs/openapi.yaml get /api/{account}/transactions
openapi: 3.0.3
info:
  title: OnlyFans API
  description: ""
  version: 1.0.0
servers:
  - url: https://app.onlyfansapi.com
security:
  - default: []
tags:
  - name: API Keys
    description: ""
  - name: Account
    description: Endpoints for your linked accounts
  - name: Analytics - Financial
    description: APIs for retrieving financial analytics data
  - name: Analytics - Summary
    description: APIs for retrieving summary analytics data
  - name: Banking
    description: Operations related to user banking details, payout methods, legal
      and tax information, and account country settings.
  - name: Chargebacks
    description: ""
  - name: Chat Messages
    description: ""
  - name: Chats
    description: ""
  - name: Client Sessions
    description: ""
  - name: Connect OnlyFans Account
    description: ""
  - name: Data Exports
    description: APIs for managing data exports
  - name: Engagement / Messages
    description: ""
  - name: Fans
    description: APIs for managing OnlyFans fans (subscribers)
  - name: Fans - AI Summary
    description: APIs for generating and retrieving AI-powered fan profile summaries
  - name: Following
    description: APIs for managing OnlyFans followings (people you're subscribed to)
  - name: Free Trial Links
    description: APIs for managing Free Trial Links
  - name: Giphy
    description: ""
  - name: Link Tags
    description: APIs for managing tags on free trial links and tracking links
  - name: Mass Messaging
    description: ""
  - name: Media
    description: ""
  - name: Media Vault
    description: ""
  - name: Media Vault Lists
    description: ""
  - name: Notifications
    description: Endpoints for managingr account notifications
  - name: Payouts
    description: ""
  - name: Post Comments
    description: ""
  - name: Post Labels
    description: APIs for managing your post labels
  - name: Posts
    description: APIs for managing OnlyFans posts
  - name: Promotions
    description: ""
  - name: Public Profiles
    description: ""
  - name: Queue
    description: ""
  - name: Release Forms
    description: APIs for managing OnlyFans release forms
  - name: Saved For Later (Messages)
    description: ""
  - name: Saved For Later (Posts)
    description: ""
  - name: Settings
    description: ""
  - name: Shared Free Trial Links
    description: APIs for Free Trial Links that other OF creators have shared with
      this account. Revenue, cost, and spender data are not available for shared
      links.
  - name: Shared Tracking Links
    description: APIs for Tracking Links (campaigns) that other OF creators have
      shared with this account. Revenue, cost, and spender data are not
      available for shared campaigns.
  - name: Smart Link Postbacks
    description: APIs for managing Smart Link postback destinations
  - name: Smart Links
    description: APIs for managing Smart Links (Free Trial Links and Tracking Links
      with pooled inventory)
  - name: Statistics
    description: ""
  - name: Stored Free Trial Links
    description: Instant APIs for retrieving stored free trial links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Free Trial Links
    description: Instant APIs for retrieving stored shared Free Trial Links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Tracking Links
    description: Instant APIs for retrieving stored shared Tracking Links
      (campaigns) from the OnlyFansAPI Cache (free, no credits used)
  - name: Stored Tracking Links
    description: Instant APIs for retrieving stored tracking links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stories
    description: APIs for managing OnlyFans stories
  - name: Story Highlights
    description: APIs for managing OnlyFans story highlights
  - name: Subscription Bundles
    description: ""
  - name: Tracking Links
    description: APIs for managing tracking links
  - name: Transactions
    description: APIs for managing OnlyFans transactions
  - name: User List Collections
    description: ""
  - name: Users
    description: APIs for fetching OnlyFans users
  - name: Webhooks
    description: ""
paths:
  /api/{account}/transactions:
    parameters:
      - in: path
        name: account
        description: The Account ID
        example: acct_XXXXXXXXXXXXXXX
        required: true
        schema:
          type: string
    get:
      summary: List Transactions
      operationId: listTransactions
      description: Get a paginated list of transactions for an Account. Newest
        transactions are first. You can filter by transaction type and tips
        source.
      parameters:
        - in: query
          name: limit
          description: "The number of transactions to return. Recommended: `10`"
          example: 10
          required: false
          schema:
            type: string
            description: "The number of transactions to return. Recommended: `10`"
            example: 10
        - in: query
          name: startDate
          description: "The start date for transactions list. Default: `-30days`"
          example: 2025-01-01 00:00:00, -30days
          required: false
          schema:
            type: string
            description: "The start date for transactions list. Default: `-30days`"
            example: 2025-01-01 00:00:00, -30days
        - in: query
          name: marker
          description: "The marker used for pagination. Default: `null`"
          example: "1739155047"
          required: false
          schema:
            type: string
            description: "The marker used for pagination. Default: `null`"
            example: "1739155047"
        - in: query
          name: type
          description: "Filter by transaction type. Options: `subscribes`, `tips`, `post`,
            `chat_messages`, `stream`"
          example: tips
          required: false
          schema:
            type: string
            description: "Filter by transaction type. Options: `subscribes`, `tips`, `post`,
              `chat_messages`, `stream`"
            example: tips
        - in: query
          name: tipsSource
          description: "Filter tips by source. Only applies when `type=tips`. Options:
            `profile`, `post_all`, `chat`, `stream`, `story`"
          example: post_all
          required: false
          schema:
            type: string
            description: "Filter tips by source. Only applies when `type=tips`. Options:
              `profile`, `post_all`, `chat`, `stream`, `story`"
            example: post_all
      responses:
        "200":
          description: Success
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    list:
                      - amount: 19.99
                        vatAmount: 0
                        taxAmount: 0
                        net: 15.99
                        fee: 4
                        createdAt: 2025-02-10T02:51:22+00:00
                        currency: USD
                        description: Payment for message from <a
                          href="https://onlyfans.com/XXXXXXXX">XXXXXXXX</a>
                        status: loading
                        user:
                          view: t
                          id: 123123123
                          name: Michael XXXXXXXX
                          username: u123123123
                          isVerified: false
                          avatar: https://public.onlyfans.com/files/XXXXXXXXXX.jpg
                          avatarThumbs:
                            c50: https://thumbs.onlyfans.com/public/files/thumbs/c50/XXXXXXXXXX.jpg
                            c144: https://thumbs.onlyfans.com/public/files/thumbs/c144/XXXXXXXXXX.jpg
                        payoutPendingDays: 7
                        id: 5XXXXXXXXXaa1aXXXXXXXXXXX
                        type: message
                    marker: 1739156703
                    hasMore: true
                    nextMarker: 1739155047
                  _pagination:
                    next_page: https://app.onlyfansapi.com/api/acct_XXXXXXXX/transactions?startDate=-30days&marker=1739155047&
                  _meta:
                    _credits:
                      used: 1
                      balance: 34
                      note: Always
                    _cache:
                      is_cached: false
                      note: Cache disabled for this endpoint
                    _rate_limits:
                      limit_minute: 1000
                      limit_day: 50000
                      remaining_minute: 990
                      remaining_day: 49977
                properties:
                  data:
                    type: object
                    properties:
                      list:
                        type: array
                        example:
                          - amount: 19.99
                            vatAmount: 0
                            taxAmount: 0
                            net: 15.99
                            fee: 4
                            createdAt: 2025-02-10T02:51:22+00:00
                            currency: USD
                            description: Payment for message from <a
                              href="https://onlyfans.com/XXXXXXXX">XXXXXXXX</a>
                            status: loading
                            user:
                              view: t
                              id: 123123123
                              name: Michael XXXXXXXX
                              username: u123123123
                              isVerified: false
                              avatar: https://public.onlyfans.com/files/XXXXXXXXXX.jpg
                              avatarThumbs:
                                c50: https://thumbs.onlyfans.com/public/files/thumbs/c50/XXXXXXXXXX.jpg
                                c144: https://thumbs.onlyfans.com/public/files/thumbs/c144/XXXXXXXXXX.jpg
                            payoutPendingDays: 7
                            id: 5XXXXXXXXXaa1aXXXXXXXXXXX
                            type: message
                        items:
                          type: object
                          properties:
                            amount:
                              type: number
                              example: 19.99
                            vatAmount:
                              type: integer
                              example: 0
                            taxAmount:
                              type: integer
                              example: 0
                            net:
                              type: number
                              example: 15.99
                            fee:
                              type: integer
                              example: 4
                            createdAt:
                              type: string
                              example: 2025-02-10T02:51:22+00:00
                            currency:
                              type: string
                              example: USD
                            description:
                              type: string
                              example: Payment for message from <a
                                href="https://onlyfans.com/XXXXXXXX">XXXXXXXX</a>
                            status:
                              type: string
                              example: loading
                            user:
                              type: object
                              properties:
                                view:
                                  type: string
                                  example: t
                                id:
                                  type: integer
                                  example: 123123123
                                name:
                                  type: string
                                  example: Michael XXXXXXXX
                                username:
                                  type: string
                                  example: u123123123
                                isVerified:
                                  type: boolean
                                  example: false
                                avatar:
                                  type: string
                                  example: https://public.onlyfans.com/files/XXXXXXXXXX.jpg
                                avatarThumbs:
                                  type: object
                                  properties:
                                    c50:
                                      type: string
                                      example: https://thumbs.onlyfans.com/public/files/thumbs/c50/XXXXXXXXXX.jpg
                                    c144:
                                      type: string
                                      example: https://thumbs.onlyfans.com/public/files/thumbs/c144/XXXXXXXXXX.jpg
                            payoutPendingDays:
                              type: integer
                              example: 7
                            id:
                              type: string
                              example: 5XXXXXXXXXaa1aXXXXXXXXXXX
                            type:
                              type: string
                              example: message
                      marker:
                        type: integer
                        example: 1739156703
                      hasMore:
                        type: boolean
                        example: true
                      nextMarker:
                        type: integer
                        example: 1739155047
                  _pagination:
                    type: object
                    properties:
                      next_page:
                        type: string
                        example: https://app.onlyfansapi.com/api/acct_XXXXXXXX/transactions?startDate=-30days&marker=1739155047&
                  _meta:
                    type: object
                    properties:
                      _credits:
                        type: object
                        properties:
                          used:
                            type: integer
                            example: 1
                          balance:
                            type: integer
                            example: 34
                          note:
                            type: string
                            example: Always
                      _cache:
                        type: object
                        properties:
                          is_cached:
                            type: boolean
                            example: false
                          note:
                            type: string
                            example: Cache disabled for this endpoint
                      _rate_limits:
                        type: object
                        properties:
                          limit_minute:
                            type: integer
                            example: 1000
                          limit_day:
                            type: integer
                            example: 50000
                          remaining_minute:
                            type: integer
                            example: 990
                          remaining_day:
                            type: integer
                            example: 49977
      tags:
        - Transactions
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Get your API Key from OnlyFansAPI Console -
        https://app.onlyfansapi.com/api-keys
````